package cn.kdan.cloud.pdf.office.account.model;

import java.io.Serializable;
import java.util.Date;

public class User implements Serializable {
    private String id;

    private String companyId;

    private String appId;

    private String modelSource;

    private String email;

    private String fullName;

    private Integer subscriberType;

    private Integer subscribed;

    private String digestPassword;

    private String phone;

    private String industry;

    private Integer lastPopularizeAt;

    private Date lastPresentedCouponAt;

    private Integer mailable;

    private Integer resetToken;

    private String role;

    private String job;

    private String area;

    private Integer platformType;

    private Integer accountType;

    private Integer accountSource;

    private Date createdAt;

    private Date updatedAt;

    private String remark;

    private String canAccessAi;

    private String validFlag;

    private String sourceProductId;

    private String inviteUserId;

    private String firstName;

    private String lastName;

    private String address;

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public User withId(String id) {
        this.setId(id);
        return this;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getCompanyId() {
        return companyId;
    }

    public User withCompanyId(String companyId) {
        this.setCompanyId(companyId);
        return this;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    public String getAppId() {
        return appId;
    }

    public User withAppId(String appId) {
        this.setAppId(appId);
        return this;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getModelSource() {
        return modelSource;
    }

    public User withModelSource(String modelSource) {
        this.setModelSource(modelSource);
        return this;
    }

    public void setModelSource(String modelSource) {
        this.modelSource = modelSource;
    }

    public String getEmail() {
        return email;
    }

    public User withEmail(String email) {
        this.setEmail(email);
        return this;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getFullName() {
        return fullName;
    }

    public User withFullName(String fullName) {
        this.setFullName(fullName);
        return this;
    }

    public void setFullName(String fullName) {
        this.fullName = fullName;
    }

    public Integer getSubscriberType() {
        return subscriberType;
    }

    public User withSubscriberType(Integer subscriberType) {
        this.setSubscriberType(subscriberType);
        return this;
    }

    public void setSubscriberType(Integer subscriberType) {
        this.subscriberType = subscriberType;
    }

    public Integer getSubscribed() {
        return subscribed;
    }

    public User withSubscribed(Integer subscribed) {
        this.setSubscribed(subscribed);
        return this;
    }

    public void setSubscribed(Integer subscribed) {
        this.subscribed = subscribed;
    }

    public String getDigestPassword() {
        return digestPassword;
    }

    public User withDigestPassword(String digestPassword) {
        this.setDigestPassword(digestPassword);
        return this;
    }

    public void setDigestPassword(String digestPassword) {
        this.digestPassword = digestPassword;
    }

    public String getPhone() {
        return phone;
    }

    public User withPhone(String phone) {
        this.setPhone(phone);
        return this;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getIndustry() {
        return industry;
    }

    public User withIndustry(String industry) {
        this.setIndustry(industry);
        return this;
    }

    public void setIndustry(String industry) {
        this.industry = industry;
    }

    public Integer getLastPopularizeAt() {
        return lastPopularizeAt;
    }

    public User withLastPopularizeAt(Integer lastPopularizeAt) {
        this.setLastPopularizeAt(lastPopularizeAt);
        return this;
    }

    public void setLastPopularizeAt(Integer lastPopularizeAt) {
        this.lastPopularizeAt = lastPopularizeAt;
    }

    public Date getLastPresentedCouponAt() {
        return lastPresentedCouponAt;
    }

    public User withLastPresentedCouponAt(Date lastPresentedCouponAt) {
        this.setLastPresentedCouponAt(lastPresentedCouponAt);
        return this;
    }

    public void setLastPresentedCouponAt(Date lastPresentedCouponAt) {
        this.lastPresentedCouponAt = lastPresentedCouponAt;
    }

    public Integer getMailable() {
        return mailable;
    }

    public User withMailable(Integer mailable) {
        this.setMailable(mailable);
        return this;
    }

    public void setMailable(Integer mailable) {
        this.mailable = mailable;
    }

    public Integer getResetToken() {
        return resetToken;
    }

    public User withResetToken(Integer resetToken) {
        this.setResetToken(resetToken);
        return this;
    }

    public void setResetToken(Integer resetToken) {
        this.resetToken = resetToken;
    }

    public String getRole() {
        return role;
    }

    public User withRole(String role) {
        this.setRole(role);
        return this;
    }

    public void setRole(String role) {
        this.role = role;
    }

    public String getJob() {
        return job;
    }

    public User withJob(String job) {
        this.setJob(job);
        return this;
    }

    public void setJob(String job) {
        this.job = job;
    }

    public String getArea() {
        return area;
    }

    public User withArea(String area) {
        this.setArea(area);
        return this;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public Integer getPlatformType() {
        return platformType;
    }

    public User withPlatformType(Integer platformType) {
        this.setPlatformType(platformType);
        return this;
    }

    public void setPlatformType(Integer platformType) {
        this.platformType = platformType;
    }

    public Integer getAccountType() {
        return accountType;
    }

    public User withAccountType(Integer accountType) {
        this.setAccountType(accountType);
        return this;
    }

    public void setAccountType(Integer accountType) {
        this.accountType = accountType;
    }

    public Integer getAccountSource() {
        return accountSource;
    }

    public User withAccountSource(Integer accountSource) {
        this.setAccountSource(accountSource);
        return this;
    }

    public void setAccountSource(Integer accountSource) {
        this.accountSource = accountSource;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public User withCreatedAt(Date createdAt) {
        this.setCreatedAt(createdAt);
        return this;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Date getUpdatedAt() {
        return updatedAt;
    }

    public User withUpdatedAt(Date updatedAt) {
        this.setUpdatedAt(updatedAt);
        return this;
    }

    public void setUpdatedAt(Date updatedAt) {
        this.updatedAt = updatedAt;
    }

    public String getRemark() {
        return remark;
    }

    public User withRemark(String remark) {
        this.setRemark(remark);
        return this;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getCanAccessAi() {
        return canAccessAi;
    }

    public User withCanAccessAi(String canAccessAi) {
        this.setCanAccessAi(canAccessAi);
        return this;
    }

    public void setCanAccessAi(String canAccessAi) {
        this.canAccessAi = canAccessAi;
    }

    public String getValidFlag() {
        return validFlag;
    }

    public User withValidFlag(String validFlag) {
        this.setValidFlag(validFlag);
        return this;
    }

    public void setValidFlag(String validFlag) {
        this.validFlag = validFlag;
    }

    public String getSourceProductId() {
        return sourceProductId;
    }

    public User withSourceProductId(String sourceProductId) {
        this.setSourceProductId(sourceProductId);
        return this;
    }

    public void setSourceProductId(String sourceProductId) {
        this.sourceProductId = sourceProductId;
    }

    public String getInviteUserId() {
        return inviteUserId;
    }

    public User withInviteUserId(String inviteUserId) {
        this.setInviteUserId(inviteUserId);
        return this;
    }

    public void setInviteUserId(String inviteUserId) {
        this.inviteUserId = inviteUserId;
    }

    public String getFirstName() {
        return firstName;
    }

    public User withFirstName(String firstName) {
        this.setFirstName(firstName);
        return this;
    }

    public void setFirstName(String firstName) {
        this.firstName = firstName;
    }

    public String getLastName() {
        return lastName;
    }

    public User withLastName(String lastName) {
        this.setLastName(lastName);
        return this;
    }

    public void setLastName(String lastName) {
        this.lastName = lastName;
    }

    public String getAddress() {
        return address;
    }

    public User withAddress(String address) {
        this.setAddress(address);
        return this;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        User other = (User) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getCompanyId() == null ? other.getCompanyId() == null : this.getCompanyId().equals(other.getCompanyId()))
            && (this.getAppId() == null ? other.getAppId() == null : this.getAppId().equals(other.getAppId()))
            && (this.getModelSource() == null ? other.getModelSource() == null : this.getModelSource().equals(other.getModelSource()))
            && (this.getEmail() == null ? other.getEmail() == null : this.getEmail().equals(other.getEmail()))
            && (this.getFullName() == null ? other.getFullName() == null : this.getFullName().equals(other.getFullName()))
            && (this.getSubscriberType() == null ? other.getSubscriberType() == null : this.getSubscriberType().equals(other.getSubscriberType()))
            && (this.getSubscribed() == null ? other.getSubscribed() == null : this.getSubscribed().equals(other.getSubscribed()))
            && (this.getDigestPassword() == null ? other.getDigestPassword() == null : this.getDigestPassword().equals(other.getDigestPassword()))
            && (this.getPhone() == null ? other.getPhone() == null : this.getPhone().equals(other.getPhone()))
            && (this.getIndustry() == null ? other.getIndustry() == null : this.getIndustry().equals(other.getIndustry()))
            && (this.getLastPopularizeAt() == null ? other.getLastPopularizeAt() == null : this.getLastPopularizeAt().equals(other.getLastPopularizeAt()))
            && (this.getLastPresentedCouponAt() == null ? other.getLastPresentedCouponAt() == null : this.getLastPresentedCouponAt().equals(other.getLastPresentedCouponAt()))
            && (this.getMailable() == null ? other.getMailable() == null : this.getMailable().equals(other.getMailable()))
            && (this.getResetToken() == null ? other.getResetToken() == null : this.getResetToken().equals(other.getResetToken()))
            && (this.getRole() == null ? other.getRole() == null : this.getRole().equals(other.getRole()))
            && (this.getJob() == null ? other.getJob() == null : this.getJob().equals(other.getJob()))
            && (this.getArea() == null ? other.getArea() == null : this.getArea().equals(other.getArea()))
            && (this.getPlatformType() == null ? other.getPlatformType() == null : this.getPlatformType().equals(other.getPlatformType()))
            && (this.getAccountType() == null ? other.getAccountType() == null : this.getAccountType().equals(other.getAccountType()))
            && (this.getAccountSource() == null ? other.getAccountSource() == null : this.getAccountSource().equals(other.getAccountSource()))
            && (this.getCreatedAt() == null ? other.getCreatedAt() == null : this.getCreatedAt().equals(other.getCreatedAt()))
            && (this.getUpdatedAt() == null ? other.getUpdatedAt() == null : this.getUpdatedAt().equals(other.getUpdatedAt()))
            && (this.getRemark() == null ? other.getRemark() == null : this.getRemark().equals(other.getRemark()))
            && (this.getCanAccessAi() == null ? other.getCanAccessAi() == null : this.getCanAccessAi().equals(other.getCanAccessAi()))
            && (this.getValidFlag() == null ? other.getValidFlag() == null : this.getValidFlag().equals(other.getValidFlag()))
            && (this.getSourceProductId() == null ? other.getSourceProductId() == null : this.getSourceProductId().equals(other.getSourceProductId()))
            && (this.getInviteUserId() == null ? other.getInviteUserId() == null : this.getInviteUserId().equals(other.getInviteUserId()))
            && (this.getFirstName() == null ? other.getFirstName() == null : this.getFirstName().equals(other.getFirstName()))
            && (this.getLastName() == null ? other.getLastName() == null : this.getLastName().equals(other.getLastName()))
            && (this.getAddress() == null ? other.getAddress() == null : this.getAddress().equals(other.getAddress()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getCompanyId() == null) ? 0 : getCompanyId().hashCode());
        result = prime * result + ((getAppId() == null) ? 0 : getAppId().hashCode());
        result = prime * result + ((getModelSource() == null) ? 0 : getModelSource().hashCode());
        result = prime * result + ((getEmail() == null) ? 0 : getEmail().hashCode());
        result = prime * result + ((getFullName() == null) ? 0 : getFullName().hashCode());
        result = prime * result + ((getSubscriberType() == null) ? 0 : getSubscriberType().hashCode());
        result = prime * result + ((getSubscribed() == null) ? 0 : getSubscribed().hashCode());
        result = prime * result + ((getDigestPassword() == null) ? 0 : getDigestPassword().hashCode());
        result = prime * result + ((getPhone() == null) ? 0 : getPhone().hashCode());
        result = prime * result + ((getIndustry() == null) ? 0 : getIndustry().hashCode());
        result = prime * result + ((getLastPopularizeAt() == null) ? 0 : getLastPopularizeAt().hashCode());
        result = prime * result + ((getLastPresentedCouponAt() == null) ? 0 : getLastPresentedCouponAt().hashCode());
        result = prime * result + ((getMailable() == null) ? 0 : getMailable().hashCode());
        result = prime * result + ((getResetToken() == null) ? 0 : getResetToken().hashCode());
        result = prime * result + ((getRole() == null) ? 0 : getRole().hashCode());
        result = prime * result + ((getJob() == null) ? 0 : getJob().hashCode());
        result = prime * result + ((getArea() == null) ? 0 : getArea().hashCode());
        result = prime * result + ((getPlatformType() == null) ? 0 : getPlatformType().hashCode());
        result = prime * result + ((getAccountType() == null) ? 0 : getAccountType().hashCode());
        result = prime * result + ((getAccountSource() == null) ? 0 : getAccountSource().hashCode());
        result = prime * result + ((getCreatedAt() == null) ? 0 : getCreatedAt().hashCode());
        result = prime * result + ((getUpdatedAt() == null) ? 0 : getUpdatedAt().hashCode());
        result = prime * result + ((getRemark() == null) ? 0 : getRemark().hashCode());
        result = prime * result + ((getCanAccessAi() == null) ? 0 : getCanAccessAi().hashCode());
        result = prime * result + ((getValidFlag() == null) ? 0 : getValidFlag().hashCode());
        result = prime * result + ((getSourceProductId() == null) ? 0 : getSourceProductId().hashCode());
        result = prime * result + ((getInviteUserId() == null) ? 0 : getInviteUserId().hashCode());
        result = prime * result + ((getFirstName() == null) ? 0 : getFirstName().hashCode());
        result = prime * result + ((getLastName() == null) ? 0 : getLastName().hashCode());
        result = prime * result + ((getAddress() == null) ? 0 : getAddress().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", companyId=").append(companyId);
        sb.append(", appId=").append(appId);
        sb.append(", modelSource=").append(modelSource);
        sb.append(", email=").append(email);
        sb.append(", fullName=").append(fullName);
        sb.append(", subscriberType=").append(subscriberType);
        sb.append(", subscribed=").append(subscribed);
        sb.append(", digestPassword=").append(digestPassword);
        sb.append(", phone=").append(phone);
        sb.append(", industry=").append(industry);
        sb.append(", lastPopularizeAt=").append(lastPopularizeAt);
        sb.append(", lastPresentedCouponAt=").append(lastPresentedCouponAt);
        sb.append(", mailable=").append(mailable);
        sb.append(", resetToken=").append(resetToken);
        sb.append(", role=").append(role);
        sb.append(", job=").append(job);
        sb.append(", area=").append(area);
        sb.append(", platformType=").append(platformType);
        sb.append(", accountType=").append(accountType);
        sb.append(", accountSource=").append(accountSource);
        sb.append(", createdAt=").append(createdAt);
        sb.append(", updatedAt=").append(updatedAt);
        sb.append(", remark=").append(remark);
        sb.append(", canAccessAi=").append(canAccessAi);
        sb.append(", validFlag=").append(validFlag);
        sb.append(", sourceProductId=").append(sourceProductId);
        sb.append(", inviteUserId=").append(inviteUserId);
        sb.append(", firstName=").append(firstName);
        sb.append(", lastName=").append(lastName);
        sb.append(", address=").append(address);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}