package cn.kdan.cloud.pdf.office.api.payment.dto;

import lombok.*;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author ComPDFKit-WPH 2023/2/1
 */
@Data
@ToString
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class CreateSubscriptionManualDTO implements Serializable {
    /**
     * userId
     */
    @NotNull(message = "userId 不能为空")
    private String userId;

    /**
     * productId
     */
    @NotNull(message = "productId 不能为空")
    private String productId;

    private String appId;

    private String thirdSubscriptionId;

    @NotNull(message = "orderId 不能为空")
    private String orderId;

    /**
     * SubscriptionConstant.actived
     */
    private Integer status;

    /**
     *  1试用 2正式会员
     */
    private Integer subscriptionType;

    private String email;

    private Integer payment;

}
