package cn.kdan.cloud.pdf.office.api.payment.paypal;

import lombok.Data;
import lombok.ToString;

@Data
@ToString
public class Amount {
    /**
     * 标识货币的三个字符的 ISO-4217 货币代码。USD
     */
    private String currency;
    /**
     * 该值，可能是：
     * 此类货币的整数通常不是小数。JPY
     * 此类货币的小数部分被细分为千分之一。TND
     * 有关货币代码所需的小数位数，请参阅货币代码。
     */
    private String total;
}
