package cn.kdan.cloud.pdf.office.api.product.enums;

import lombok.Getter;

/**
 * @author ComPDFKit-WPH 2023/2/9
 * <p>
 * 平台枚举
 */
public enum PlatformEnum {
    ALL(0),
    MAC(1),
    WINDOWS(2),
    ;
    @Getter
    private final Integer value;

    PlatformEnum(Integer value) {
        this.value = value;
    }

    public static PlatformEnum getEnumByValue(Integer value){
        for (PlatformEnum platformEnum : PlatformEnum.values()) {
            if (platformEnum.value.equals(value)){
                return platformEnum;
            }
        }
        return PlatformEnum.WINDOWS;
    }


}
