package cn.kdan.cloud.pdf.office.common.enums;

public enum BooleanEnum {

    FALSE("0"),
    TRUE("1");

    private String value;

    BooleanEnum(String value) {
        this.value = value;
    }

    public String value() {
        return value;
    }

    public String getString() {
        if(this.equals(FALSE)){
            return Boolean.FALSE.toString();
        }
        return Boolean.TRUE.toString();
    }

    public static BooleanEnum getEnumByValue(String value) {
        for (BooleanEnum modeEnum: BooleanEnum.values()) {
            if (modeEnum.value().equals(value)) {
                return modeEnum;
            }
        }
        return null;
    }
}
