package cn.kdan.cloud.pdf.office.common.enums.account;

/**
 * 用户来源类型
 *
 * @author tangxiangan
 */
public enum AccountSourceEnum {

    /**
     * 注册
     */
    REGISTER(0),
    /**
     *  购买
     */
    PAY(1),

    /**
     *  试用
     */
    TRAIL(2);

    private final Integer value;

    AccountSourceEnum(Integer value) {
        this.value = value;
    }

    public Integer value() {
        return value;
    }
}
