package cn.kdan.cloud.pdf.office.common.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 个人信息类 主要返回前端使用
 */
@Data
public class UserInfoVO {

    /**
     * 用户id
     */
    private String id;

    private String companyId;

    private String appId;
    /**
     * 用户邮箱
     */
    private String email;
    /**
     * 用户名称
     */
    private String fullName;

    private Integer subscriberType;

    private Integer subscribed;

    private String digestPassword;

    private String phone;

    private String industry;

    private Integer lastPopularizeAt;
    @JsonFormat(shape =JsonFormat.Shape.STRING,pattern ="yyyy-MM-dd HH:mm:ss")
    private Date lastPresentedCouponAt;

    private Integer mailable;

    private Integer resetToken;

    private String role;

    private String job;

    private String area;

    private Integer platformType;

    private Integer accountType;

    private Integer accountSource;
    @JsonFormat(shape =JsonFormat.Shape.STRING,pattern ="yyyy-MM-dd HH:mm:ss")
    private Date createdAt;
    @JsonFormat(shape =JsonFormat.Shape.STRING,pattern ="yyyy-MM-dd HH:mm:ss")
    private Date updatedAt;

    private String remark;

    private String validFlag;

    private String firstName;

    private String lastName;

    private String address;

    private List<UserSubscriptionInfoVO> subscriptionInfoList;

    private Date freeDate ;

    private Boolean isInFreeUseTime ;
    private String canAccessAi;
}
