package cn.kdan.cloud.pdf.office.common.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

@Data
public class UserSubscriptionInfoVO {
    /**
     * id
     */
    private String id;
    /**
     * 用户id
     */
    private String userId;
    /**
     *  app_id = 1时: 0免费，1永久版，2订阅，3AI
     */
    private Integer platform;

    /**
     *  状态 0注册1订阅中2订阅过期3试用中4试用过期
     */
    private Integer status;

    /**
     * 到期时间
     */
    @JsonFormat(shape =JsonFormat.Shape.STRING,pattern ="yyyy-MM-dd HH:mm:ss")
    private Date endDate;

    /**
     * 0未开启自动续订 1自动续订
     */
    private Integer payType;

    private String appId;

    private String productId;

    private String productCode;

    private String productName;
    private String levels;
    private String platforms;
    private Integer point;
    private Integer maxDeviceNum;

    /**
     * 付费模式（1自动续订 2单次付费）
     */
    private String paymentModel;
    private String isAi;

    private String code;
    private Integer cycle;
    private String simplifiedChineseName;
    private String traditionalChineseName;
}
