package cn.kdan.cloud.pdf.office.email.controller;

import cn.kdan.cloud.pdf.office.api.email.bo.EmailSendBO;
import cn.kdan.cloud.pdf.office.common.pojo.ResultMap;
import cn.kdan.cloud.pdf.office.email.service.SendEmailHandlerService;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author ComPDFKit-WPH 2023/1/12
 */
@RestController
@RequiredArgsConstructor
@RequestMapping("/mail")
public class sendEmailController {

    private final SendEmailHandlerService emailHandlerService;

    @PostMapping("send")
    public ResultMap<Void> sendEmail(@RequestBody EmailSendBO emailSendBO){
        emailHandlerService.sendEmail(emailSendBO);
        return ResultMap.success();
    }


}
