package cn.kdan.cloud.pdf.office.generate.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 表字段信息
 * @author ZhouQiang 2022/7/24
 */
@EqualsAndHashCode(callSuper = true)
@TableName("columns")
@Data
public class TableColumn extends Model<TableColumn> {


    /**
     * 数据库名
     */
    private String tableSchema;

    /**
     * 表名
     */
    private String tableName;

    /**
     * 表字段名
     */
    private String columnName;

    /**
     * 字段类型
     */
    private String dataType;

    /**
     * 主键
     */
    private String columnKey;

    /**
     * 字段描述
     */
    private String columnComment;

    /**
     * extra
     */
    private String extra;
}
