package cn.kdan.cloud.pdf.office.payment.webhook.appstore.notification;


import cn.kdan.cloud.pdf.office.payment.webhook.appstore.InAppOwnershipType;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

@lombok.Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class JWSTransactionDecodedPayload {

  // uuid
  private String appAccountToken;
  private String bundleId;
  private Long expiresDate;
  private InAppOwnershipType inAppOwnershipType;

  private Boolean isUpgraded;
  private String offerIdentifier;

  private Integer offerType;
  private Long originalPurchaseDate; // timestamp

  private String originalTransactionId;
  private String productId;
  private Long purchaseDate;
  private Integer quantity;

  private Long revocationDate;
  private Long signedDate;// timestamp
  private String subscriptionGroupIdentifier;
  private String transactionId;
  // Auto-Renewable Subscription
  // Non-Consumable
  // Consumable
  // Non-Renewing Subscription
  private String type;

  private String webOrderLineItemId;
  private String environment;
  private String currency;
  private Integer price;
}
