package cn.kdan.cloud.pdf.office.website.config;


import cn.kdan.cloud.pdf.office.common.annotation.EnableCommonTools;
import cn.kdan.cloud.pdf.office.common.config.RedissonConfig;
import lombok.extern.slf4j.Slf4j;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.EnableAspectJAutoProxy;
import org.springframework.context.annotation.Import;

/**
 * @author tangxiangan
 */
@Configuration
@EnableCommonTools
@Slf4j
@EnableAspectJAutoProxy
@EnableCaching
@Import({RedissonConfig.class})
public class PdfOfficeSystemConfig {

}
