package cn.kdan.cloud.pdf.office.product.service.impl;

import cn.kdan.cloud.pdf.office.product.entity.Prize;
import cn.kdan.cloud.pdf.office.product.mapper.PrizeMapper;
import cn.kdan.cloud.pdf.office.product.service.PrizeService;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author ComPDFKit-WPH 2024-10-16
 */
@Service
public class PrizeServiceImpl extends ServiceImpl<PrizeMapper, Prize> implements PrizeService {

    @Override
    public IPage<Prize> page(Prize query) {
        return this.page(new Page<>(query.getPage(), query.getSize()), Wrappers.query(query));
    }

    @Override
    public void insert(Prize prize) {
        this.save(prize);
    }

    @Override
    public List<Prize> list(Prize prize) {
        return this.list(Wrappers.query(prize));
    }

}
