package cn.kdan.cloud.pdf.office.sso.pojo;


import cn.kdan.cloud.pdf.office.sso.utils.RSAUtils;
import org.springframework.security.crypto.password.PasswordEncoder;

public class LoginPasswordEncoder implements PasswordEncoder {

    @Override
    public boolean matches(CharSequence rawPassword, String encodedPassword) {
        //加密之后对比密码
        RSAUtils rsaUtils = new RSAUtils();
        String pwd = rsaUtils.decrypt(encodedPassword);
        return pwd.equals(rawPassword);
    }

    @Override
    public String encode(CharSequence rawPassword) {
        RSAUtils rsaUtils = new RSAUtils();
        return rsaUtils.encrypt(rawPassword.toString());
    }
}
