package cn.kdan.cloud.pdf.office.api.payment.bo;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * @author ComPDFKit-WPH 2023/1/26
 */
@Data
@ToString
public class GeneratePayLinkPaddleBO implements Serializable {

    @JsonProperty("product_id")
    private String productId;

    private String title;

    @JsonProperty("webhook_url")
    private String webhookUrl;

    private String[] prices;

    @JsonProperty("recurring_prices")
    private String recurringPrices;

    @JsonProperty("trial_days")
    private Integer trialDays;

    @JsonProperty("custom_message")
    private String customMessage;

    @JsonProperty("coupon_code")
    private String couponCode;

    private Integer discountable;

    @JsonProperty("image_url")
    private String imageUrl;

    @JsonProperty("return_url")
    private String returnUrl;

    @JsonProperty("quantity_variable")
    private Integer quantityVariable;

    private Integer quantity;

    private String expires;

    @JsonProperty("marketing_consent")
    private Integer marketingConsent;

    @JsonProperty("customer_email")
    private String customerEmail;

    @JsonProperty("customer_country")
    private String customerCountry;

    @JsonProperty("customer_postcode")
    private String customerPostcode;

    @JsonProperty("is_recoverable")
    private String isRecoverable;

    private String passthrough;

    @JsonProperty("vat_number")
    private String vatNumber;

    @JsonProperty("vat_company_name")
    private String vatCompanyName;

    @JsonProperty("vat_street")
    private String vatStreet;

    @JsonProperty("vat_city")
    private String vatCity;

    @JsonProperty("vat_state")
    private String vatState;

    @JsonProperty("vat_country")
    private String vatCountry;

    @JsonProperty("vat_postcode")
    private String vatPostcode;


    public void setDiscountable(boolean b) {
        if (b) this.discountable = 1;
        else this.discountable = 0;
    }

    public void setQuantityVariable(boolean b) {
        if (b) this.quantityVariable = 1;
        else this.quantityVariable = 0;
    }

//
//    public boolean getDiscountable() {
//        return discountable != null && discountable != 0;
//    }
//

//
//    public boolean getQuantityVariable() {
//        return quantityVariable != null && quantityVariable != 0;
//    }


}
