package cn.kdan.cloud.pdf.office.api.payment.dto;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author ComPDFKit-WPH 2023/1/30
 */
@Data
@ToString
public class PaddleWebhookDTO implements Serializable {

    @JsonProperty("alert_id")
    private String alertId;
    @JsonProperty("alert_name")
    private String alertName;
    @JsonProperty("balance_currency")
    private String balanceCurrency;
    @JsonProperty("balance_earnings")
    private BigDecimal balanceEarnings;
    @JsonProperty("balance_fee")
    private BigDecimal balanceFee;
    @JsonProperty("balance_gross")
    private BigDecimal balanceGross;
    @JsonProperty("balance_tax")
    private BigDecimal balanceTax;
    @JsonProperty("checkout_id")
    private String checkoutId;
    private String country;
    private String coupon;
    private String currency;
    @JsonProperty("custom_data")
    private String customData;
    @JsonProperty("customer_name")
    private String customerName;
    private BigDecimal earnings;
    private String email;
    @JsonProperty("event_time")
    private String eventTime;
    private BigDecimal fee;
    @JsonProperty("initial_payment")
    private Integer initialPayment;
    private Integer instalments;
    @JsonProperty("marketing_consent")
    private String marketingConsent;
    @JsonProperty("next_bill_date")
    private String nextBillDate;
    @JsonProperty("next_payment_amount")
    private String nextPaymentAmount;
    @JsonProperty("order_id")
    private String orderId;
    private String passthrough;
    @JsonProperty("payment_method")
    private String paymentMethod;
    @JsonProperty("payment_tax")
    private BigDecimal paymentTax;
    @JsonProperty("plan_name")
    private String planName;
    private Integer quantity;
    @JsonProperty("receipt_url")
    private String receiptUrl;
    @JsonProperty("sale_gross")
    private BigDecimal saleGross;
    private String status;
    @JsonProperty("subscription_id")
    private String subscriptionId;
    @JsonProperty("subscription_payment_id")
    private String subscriptionPaymentId;
    @JsonProperty("subscription_plan_id")
    private String subscriptionPlanId;
    @JsonProperty("unit_price")
    private String unitPrice;
    @JsonProperty("user_id")
    private String userId;
    @JsonProperty("p_signature")
    private String pSignature;

}
