package cn.kdan.cloud.pdf.office.api.payment.paypal;

import lombok.Data;
import lombok.ToString;

import java.io.Serializable;

/**
 * @author ComPDFKit-WPH 2023/1/17
 */
@Data
@ToString
public class LinkDescription implements Serializable {
    /**
     * 完整的目标网址。若
     * 要进行相关调用，请将该方法与此组合URI 模板格式链接。对于预处理，请包括 、 和字符。
     * 这是将已完成的呼叫与后续调用链接的关键 HATEOAS 组件。$()href
     */
    private String href;

    /**
     * 这链接关系类型，它用作明确描述链接语义的链接的 ID。看链接关系
     */
    private String rel;
    /**
     * The HTTP method required to make the related call.
     * Possible values: GET,POST,PUT,DELETE,HEAD,CONNECT,OPTIONS,PATCH.
     */
    private String method;

}
