package cn.kdan.cloud.pdf.office.api.product.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author ComPDFKit-WPH 2024-10-16
 */
@Data
public class PrizeVO {

    /**
     *
     */
    private String id;
    /**
     * 用户
     */
    private String userId;
    /**
     * 1优惠券2兑换券
     */
    private Integer type;
    /**
     * 可用商品(优惠券)
     */
    private String productId;
    /**
     *
     */
    private String code;
    private String productCode;
    /**
     * 有效开始日期
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startDate;
    /**
     * 有效结束日期
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endDate;
    /**
     * 优惠美元金额
     */
    private BigDecimal usdPrice;
    /**
     * 优惠人民币金额
     */
    private BigDecimal cnyPrice;
    /**
     * 兑换券信息
     */
    private String voucher;

    private String activityType;
    /**
     * 0不可用1可用2已使用
     */
    private Integer validFlag;

}
