package cn.kdan.cloud.pdf.office.generate.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 表信息
 * @author ZhouQiang 2022/7/24
 */
@EqualsAndHashCode(callSuper = true)
@Data
@TableName("tables")
public class TableInfo extends Model<TableInfo> {

    /**
     * 数据库名
     */
    private String tableSchema;

    /**
     * 表名
     */
    private String tableName;

    /**
     * 表描述
     */
    private String tableComment;

    /**
     * 数据库引擎
     */
    private String engine;

    /**
     * 创建时间
     */
    private Date createTime;
}
