package cn.kdan.cloud.pdf.office.payment.entity;

import cn.kdan.cloud.pdf.office.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author ComPDFKit-WPH 2024-10-28
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("order_gift")
public class OrderGift extends BaseEntity{

    /**
     * 
     */
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;
    /**
     * 
     */
    private String orderId;
    /**
     * 
     */
    private String productId;
    /**
     * 
     */
    private String userId;
    /**
     * 接收者用户id
     */
    private String receiveUserId;
    /**
     * 0已赠送1可赠送
     */
    private String validFlag;

}
