package cn.kdan.cloud.pdf.office.payment.properties;

import lombok.Data;
import lombok.ToString;
import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 * @author ComPDFKit-WPH 2023/1/16
 *
 * PaypalProperties
 *
 */
@ConfigurationProperties(prefix = "client.paypal")
@Data
@ToString
public class PaypalProperties {

    private String address;

    private String clientId;

    private String clientSecret;

    private Integer readTimeOut;
    /**
     * //单位为ms
     */
    private Integer connectTimeout;

    private String mode;

    private String webhookId;

    private String returnUrl;

    private String cancelUrl;
}
