package cn.kdan.cloud.pdf.office.payment.webhook.appstore.notification;


import cn.kdan.cloud.pdf.office.payment.webhook.appstore.Environment;

@lombok.Data
public class AppStoreData {
  private String appAppleId; // number
  private String bundleId;
  private String bundleVersion;
  private Environment environment;
  // JWSRenewalInfo
  private String signedRenewalInfo;

  private String signedTransactionInfo;

  /**
   * 1
   * 自动续期订阅处于活动状态。
   *
   * 2
   * 自动续期订阅已过期。
   *
   * 3
   * 自动续期订阅处于计费重试周期。
   *
   * 4
   * 自动续期订阅处于计费宽限期。
   *
   * 5
   * 自动续期订阅将被撤销。
   */
  private Integer status;

  private String consumptionRequestReason;
}
