package cn.kdan.cloud.pdf.office.website.service;

import cn.kdan.cloud.pdf.office.api.payment.vo.OrdersVO;
import cn.kdan.cloud.pdf.office.common.dto.CreateUserOrderDTO;

import java.util.List;
import java.util.Map;

/**
 * @author ComPDFKit-Bob 2024/10/21
 */
public interface OrderService {

    Map<String, String> createOrder(CreateUserOrderDTO createOrderDTO);

    Map<String, String> createSubscription(CreateUserOrderDTO createOrderDTO);

    Map<String, String> getStateByOrderId(String orderId);

    List<OrdersVO> getOrderListByStatus(Integer orderStatus);

    Boolean closeOrder(String orderId);
}
