package cn.kdan.cloud.pdf.office.product.service.impl;

import cn.kdan.cloud.pdf.office.product.entity.EduEmails;
import cn.kdan.cloud.pdf.office.product.mapper.EduEmailsMapper;
import cn.kdan.cloud.pdf.office.product.service.EduEmailsService;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * @author ComPDFKit-WPH 2024-10-16
 */
@Service
public class EduEmailsServiceImpl extends ServiceImpl<EduEmailsMapper, EduEmails> implements EduEmailsService {

    @Override
    public IPage<EduEmails> page(EduEmails query) {
        return this.page(new Page<>(query.getPage(), query.getSize()), Wrappers.query(query));
    }

    /**
     * 验证用户邮箱教育优惠资格
     * @param email 用户邮箱
     * @return
     */
    @Override
    public Integer checkEmail(String email) {
        return this.baseMapper.checkEmail(email);
    }
}
