package cn.kdan.cloud.pdf.office.sso.pojo;

import lombok.Data;
import lombok.ToString;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @author ComPDFKit-WPH 2023/4/14
 */
@Data
@ToString
public class LoginParam {

    /**
     * 邮箱
     */
    String email;
    /**
     * 密码（密码登录时才传）
     */
    String password;
    /**
     * 验证码（邮箱登录时传）
     */
    String code;
    /**
     * appId (PDF Reader Pro传1即可)
     */
    String appId;
    /**
     * 设备id
     */
    String deviceSign;
    /**
     * 设备名称
     */
    String deviceName;
    /**
     * 平台 （官网登录不用传 其他平台对应ios mac windows android）
     */
    String model;

    String inviteUserId;
}
